package org.apache.bcel.generic;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import org.apache.bcel.generic.IF_ICMPLT;
import org.apache.bcel.generic.IfInstruction;
import org.apache.bcel.generic.InstructionHandle;
import org.apache.bcel.generic.Visitor;

public class IF_ICMPGE extends IfInstruction {
  IF_ICMPGE() {}
  
  public IF_ICMPGE(InstructionHandle target) {
    super((short)162, target);
  }
  
  public void accept(Visitor v) {
    v.visitStackConsumer(this);
    v.visitBranchInstruction(this);
    v.visitIfInstruction(this);
    v.visitIF_ICMPGE(this);
  }
  
  public IfInstruction negate() {
    return new IF_ICMPLT(getTarget());
  }
}
